Delete Existing Items
curl --request POST \
--url https://api-{dc}.moengage.com/v1/catalog/{catalog_id}/items/bulk-delete \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
"{{item_ID}}"
]
}
'import requests
url = "https://api-{dc}.moengage.com/v1/catalog/{catalog_id}/items/bulk-delete"
payload = { "items": ["{{item_ID}}"] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: ['{{item_ID}}']})
};
fetch('https://api-{dc}.moengage.com/v1/catalog/{catalog_id}/items/bulk-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"valid": {
"count": 0
},
"invalid": {
"count": 10
}
}
}
Catalog
Delete Existing Items
You can use this API to delete existing items in a given catalog. Only 50 items are allowed to be deleted in a single request.
POST
/
catalog
/
{catalog_id}
/
items
/
bulk-delete
Delete Existing Items
Rate Limit Information
Request limit: 100/min OR 1000/hr. You can delete up to 50 items per request. Payload size limit: 5MB (only when Content-Length header is provided).Authorizations
Basic Authentication sends a Base64-encoded string containing your username and password.
You can obtain the username and password from the MoEngage Dashboard:
- Navigate to Settings > Account > APIs.
- Username: Copy the Workspace ID.
- Password: Copy the Catalog API key.
Path Parameters
The unique identifier for the catalog, obtained during catalog creation.
Body
application/json
An array of item IDs to delete from the catalog.
Maximum array length:
50Response
Accepted. The bulk delete request was processed successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I